# Class ReflectPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.lang.reflect.ReflectPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class ReflectPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
The Permission class for reflective operations.

Since:
  1.2
See Also:
  - `Permission`
  - `BasicPermission`
  - `AccessibleObject`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReflectPermission(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ReflectPermission with the specified name.
`ReflectPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ReflectPermission with the specified name and actions.

## Method Summary

### Methods declared in class BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class Permission

`checkGuard, getName, toString`

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReflectPermission

public ReflectPermission(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ReflectPermission with the specified name.

Parameters:
  `name` - the name of the ReflectPermission
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.

### ReflectPermission

public ReflectPermission(String name, String actions)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a ReflectPermission with the specified name and actions. The actions should be null; they are ignored.

Parameters:
  `name` - the name of the ReflectPermission
  `actions` - should be null
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.